--[[ ChefsHatButton ]]
--/dump PlayerHasToy(134020)
local toyButton = CreateFrame("Button", nil, SecondaryProfession3SpellButtonRight, "SecureActionButtonTemplate")
local frameEvents = {};

function frameEvents:PLAYER_ENTERING_WORLD(...)
  toyButton:UnregisterEvent("PLAYER_ENTERING_WORLD")
  
  local itemName = GetItemInfo("item:134020") --Chef's Hat
  toyButton:SetPoint("BOTTOMLEFT", SecondaryProfession3SpellButtonRight, "BOTTOMRIGHT", 0, 0)
  toyButton:SetFrameStrata("DIALOG")
  toyButton:SetWidth(100)
  toyButton:SetHeight(20)

  toyButton:SetText(itemName)
  toyButton:SetNormalFontObject("GameFontNormal")

  local ntex = toyButton:CreateTexture()
  ntex:SetTexture("Interface/Buttons/UI-Panel-Button-Up")
  ntex:SetTexCoord(0, 0.625, 0, 0.6875)
  ntex:SetAllPoints()	
  toyButton:SetNormalTexture(ntex)

  local htex = toyButton:CreateTexture()
  htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
  htex:SetTexCoord(0, 0.625, 0, 0.6875)
  htex:SetAllPoints()
  toyButton:SetHighlightTexture(htex)

  local ptex = toyButton:CreateTexture()
  ptex:SetTexture("Interface/Buttons/UI-Panel-Button-Down")
  ptex:SetTexCoord(0, 0.625, 0, 0.6875)
  ptex:SetAllPoints()
  toyButton:SetPushedTexture(ptex)

  toyButton:SetAttribute("type", "macro")
  toyButton:SetAttribute("macrotext", "/use "..itemName)
end

toyButton:SetScript("OnEvent", function(self, event, ...)
  frameEvents[event](self, ...)
end);
toyButton:RegisterEvent("PLAYER_ENTERING_WORLD")
